This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 201436

Summary: Netdump 0.7.16-5 on fully updated FC5 does not function.
Product: [Fedora] Fedora Reporter: Dan <rabidfly>
Component: netdumpAssignee: Thomas Graf <tgraf>
Status: CLOSED WONTFIX QA Contact:
Severity: high Docs Contact:
Priority: medium    
Version: 5CC: kas, rhbz001, rkhan, thh, triage
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard: bzcl34nup
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-05-06 12:12:01 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Dan 2006-08-05 05:59:08 EDT
Description of problem:
Netdump client is a SuperMicro SYS-6024-32R w dual Xeon 3Ghz, 2gigs ECC, AOC-
LPZCR2 with SATA Raid 5 and 5 160gig SATA drives running SATA 1.5.

Kernel: Linux databahn 2.6.17-1.2157_FC5smp #1 SMP Tue Jul 11 23:24:16 EDT 2006 
i686 i686 i386 GNU/Linux

Version-Release number of selected component (if applicable):
netdump-0.7.16-5

How reproducible:
Just try to run it, you'll see. It doesn't work.

Steps to Reproduce:
1. Install netdump-server rpm on a dedicated server.
2. Assign a password to the netdump account.
3. Start netdump-server.
4. Install netdump rpm on client system.
5. Edit /etc/sysconfig/netdump on the client, enable option NETDUMPADDR and 
NETDUMPMACADDR
6. service netdump propagate (then enter netdump password)
7. service netdump start ("Actual results:" section shows what happens next)
  
Actual results:
initializing netdump FATAL: Module netdump not found.
[FAILED]
initializing netconsole FATAL: Error inserting netconsole (/lib/modules/2.6.17-
1.2157_FC5smp/kernel/drivers/net/netconsole.ko): Unknown symbol in module, or 
unknown parameter (see dmesg)
[FAILED]

/var/log/messages shows:
Aug  5 02:34:25 databahn netdump:: inserting netconsole module with arguments 
magic1=0x4ad5b430 magic2=0x98c51163 netdump=@1
0.4.0.20/eth0,6666@10.4.0.4/00:0E:0C:2C:52:BD
Aug  5 02:34:25 databahn kernel: netconsole: Unknown parameter `netlog'

Expected results:
I don't know what happens when netdump works. This is the first time I've tried 
to use it.

Additional info:
The reason I want to run netdump is: While running http://ltp.sf.net on this 
SuperMicro server with `runalltests.sh`, the server crashed after about 15 
minutes. The dead console log had some information relating to the accraid 
module. I figured if I could give the kernel developers a core dump of the 
crash it might help them to find and solve the problem. Enter my attempt at 
running netdump.

Please fix netdump for FC5. :-)
Comment 1 Sergio Pascual 2006-09-08 10:49:59 EDT
I have exactly the same problem. 
The module netdump.ko seems to have disappeared in kernels 2.6.17. 
Comment 2 Tom Hughes 2006-10-19 05:10:58 EDT
If you only try and use netlog then it also fails, as it gives the netconsole
module an argument (netlog) that it doesn't recognise.
Comment 3 John Holmstadt 2007-01-22 16:45:21 EST
Anyone come up with a workaround on this? Is this excluded from the kernel now,
or  was that kernel option just missed at compile time?
Comment 4 Jan "Yenya" Kasprzak 2007-05-25 12:29:07 EDT
I suggest to change the distribution field to FC6, as the bug is present also in
FC6, and FC5 will be EOLed soon. Also it is not only for i386, but also for
x86_64 (but bugzilla does not allow me to change the arch or distribution field).

Any news on this front? I need to use netdump on a FC6 system.

BTW, this bug is probably a duplicate of bug #161068, which has been closed two
years(!) ago as "CLOSED NEXTRELEASE". Which next release do they mean?
Comment 5 Bug Zapper 2008-04-03 23:26:58 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 6 Bug Zapper 2008-05-06 12:11:59 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.